# $Revision: 1.17 $, $Date: 2002/02/25 04:49:37 $
Summary:	a diff front-end program using GTK+(GNOME)
Summary(pl):	Frontend na program diff pod GTK+(GNOME)
Name:		gtkdiff
Version:	1.8.0
Release:	2
License:	GPL
Group:		X11/Applications
Source0:	http://www.ainet.or.jp/~inoue/software/gtkdiff/%{name}-%{version}.tar.gz
URL:		http://www.ainet.or.jp/~inoue/software/gtkdiff/index-e.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+-devel >= 1.2.0
BuildRequires:	gnome-libs-devel >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
gtkdiff is a diff front-end program using GTK+(GNOME). Its features
are following:
- It has two view modes, one-pane and two-panes.
- Supports directory diff.
- Easy navigation across differences.

%description -l pl
gtkdiff jest frontendem do programu diff uywajcym GTK+ i GNOME.
Niektre jego cechy to:
- dwa tryby ogldania - jedno- i dwupanelowy
- obsuga diff dla katalogw
- atwa nawigacja pomidzy rnicami.

%prep
%setup -q

%build
sed -e s/AM_GNOME_GETTEXT/AM_GNU_GETTEXT/ configure.in > configure.in.tmp
mv -f configure.in.tmp configure.in
rm -f missing
gettextize --copy --force
aclocal -I macros
autoconf
automake -a -c
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Utilitiesdir=%{_applnkdir}/Utilities

install gtkdiffrc $RPM_BUILD_ROOT%{_datadir}/%{name}/

gzip -9nf AUTHORS ChangeLog NEWS README TODO

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*
%{_datadir}/gtkdiff
%{_applnkdir}/Utilities/gtkdiff.desktop
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gtkdiff.spec,v $
Revision 1.17  2002/02/25 04:49:37  kloczek
- release 2: replace use_AM_GNU_GETTEXT patc hbu run sed in build.

Revision 1.16  2002/02/23 02:30:44  kloczek
- adapterized.

Revision 1.15  2002/02/22 23:29:01  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/01/18 02:13:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/29 14:57:47  qboosh
- adapterized, pl description

Revision 1.12  2001/04/22 05:24:27  kloczek
- updated to 1.8.0,
- added use_AM_GNU_GETTEXT patch.

Revision 1.11  2001/03/01 02:04:14  kloczek
- relese 2: rebuild against gnome-libs linked with new audiofile.

Revision 1.10  2000/11/24 20:28:18  kloczek
- updated to 1.7.0.

Revision 1.9  2000/10/27 10:53:50  kloczek
- release 3: rebuild against gnome-libs linked with db3.

Revision 1.8  2000/10/03 06:35:25  kloczek
- release 2: use rpm new automation suit.

Revision 1.7  2000/09/24 21:54:20  kloczek
- updated to 1.6.0.

Revision 1.6  2000/08/04 06:09:16  kloczek
- updated to 1.5.2.

Revision 1.5  2000/06/10 07:57:04  kloczek
- removed duplicated entries in %files.

Revision 1.4  2000/06/09 07:54:42  kloczek
- more %%{__make} macros.

Revision 1.3  2000/06/09 07:22:57  kloczek
- added using %%{__make} macro.

Revision 1.2  2000/06/08 00:30:13  kloczek
- replace DESTDIR patch by run gettextize --copy --force on top %build,
- applnkdit patch replaced by smarter %install,
- added using %%find_lang macro,
- added gzipping man pages,
- cosmetics.

Revision 1.1  2000/05/27 00:45:26  bonkey
- written almost from scratch
